Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000724KdenliveFile Loadingpublic2009-03-19 21:142009-06-18 01:51
Reportermxttie 
Assigned Toadministrator 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.7.2 
Target VersionFixed in Version0.7.3 
Summary0000724: condensed thumbnail when using custom video profile
Descriptionhow to reproduce:

create new profile with :
- size 800x608
- framerate 15
- pixel ratio 1
- display aspect ratio 800/608
- progressive: true

add wave file
drag wave into track, correct thumbnail is created
save project (test_thumb)

restart kdenlive
file->reopen recent->test_thumb
incorrect thumb!

see attached screenshot for clarification. the wave should span the full thumb.
Additional Informationin the output on the console I see following seemingly related debuginfo:

=========================================================================
kdenlive(15710) KThumb::getAudioThumbs: --- BROKEN THUMB FOR: "hotmail_address_edit.wav" kdenlive(15710) KThumb::getAudioThumbs: --- BROKEN THUMB FOR: "hotmail_address_edit.wav" ----------------------
kdenlive(15710) Render::resetProfile: // RESETTING PROFILE FROM: "dv_pal" TO: "/home/mattie/.kde4/share/apps/kdenlive/profiles//customprofile1"
kdenlive(15710) Render::setSceneList: // NEW SCENE LIST DURATION SET TO: 3072
kdenlive(15710) Render::stop: ///////////// RENDER STOPPED: "clip"
kdenlive(15710) Render::stop: ///////////// RENDER STOP2-------
kdenlive(15710) Render::stop: ///////////// RENDER STOP3-------
kdenlive(15710) Render::start: ----- STARTING MONITOR: "project"
kdenlive(15710) Render::start: ----- MONITOR: "project" WAS STOPPED
kdenlive(15710) Render::start: ----- MONITOR: "project" REFRESH
kdenlive(15710) Render::resetProfile: // RESETTING PROFILE FROM: "dv_pal" TO: "/home/mattie/.kde4/share/apps/kdenlive/profiles//customprofile1"
kdenlive(15710) Render::setSceneList: // NEW SCENE LIST DURATION SET TO: 1973
kdenlive(15710) KThumb::getAudioThumbs: STARTING GENERATEÂ THMB FOR: KUrl("file:///home/mattie/screencast/hotmail_address_edit.wav" [^]) ................................
kdenlive(15710) MyThread::run: for 0 1106 true
kdenlive(15710) MyThread::run: done
kdenlive(15710) KThumb::getAudioThumbs: reading audio thumbs from file
=========================================================================

could the problem be, that the thumb is fetched before the custom profile is applied? also the call to resetProfile to my custom profile happens twice..

playback seems to remain fine, but it is quite difficult to cut the clip at a certain position like this ;)
TagsNo tags attached.
Build/Install MethodDistribution package
Attached Filespng file icon kdenlive_audio_thumb_bug.png [^] (20,024 bytes) 2009-03-19 21:14

- Relationships

-  Notes
(0002576)
administrator (administrator)
2009-03-24 00:00

Should be fixed in svn
(0003101)
mxttie (reporter)
2009-06-04 00:08

affirmative!

sorry for the delay, I waited until I could download a binary :)

- Issue History
Date Modified Username Field Change
2009-03-19 21:14 mxttie New Issue
2009-03-19 21:14 mxttie File Added: kdenlive_audio_thumb_bug.png
2009-03-19 21:14 mxttie Build/Install Method => Distribution package
2009-03-24 00:00 administrator Note Added: 0002576
2009-03-24 00:00 administrator Status new => feedback
2009-03-24 00:00 administrator Additional Information Updated
2009-06-04 00:08 mxttie Note Added: 0003101
2009-06-04 15:00 administrator Status feedback => resolved
2009-06-04 15:00 administrator Fixed in Version => 0.7.3
2009-06-04 15:00 administrator Resolution open => fixed
2009-06-04 15:00 administrator Assigned To => administrator
2009-06-18 01:51 xzhayon Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker